<?php


use \FiloBlu\Refilo\Remote\Entity\Provider\DisabledProductProvider;
use Magento\Framework\App\Bootstrap;
use Magento\Framework\App\ObjectManager;
use Magento\Framework\App\State;
use Magento\Store\Model\StoreManagerInterface;

require __DIR__ . '/../../../../../app/bootstrap.php';
$params = $_SERVER;
$bootstrap = Bootstrap::create(BP, $params);
$obj = $bootstrap->getObjectManager();
$state = $obj->get(State::class);
$state->setAreaCode('adminhtml');
$objectManager = ObjectManager::getInstance();

/** @var StoreManagerInterface $storeManager */
$storeManager = $objectManager->get(StoreManagerInterface::class);
/** @var DisabledProductProvider $provider */
$provider = $objectManager->get(DisabledProductProvider::class);


$data = iterator_to_array($provider->forStore($storeManager->getStore(2)));

echo 'done' . PHP_EOL;

